Bug 607180

Summary: krandr: Display Settings are Lost on Logout
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: kde-workspaceAssignee: Daniel Vrátil <dvratil>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 18CC: ahatfiel, dev002, dvratil, erik-fedora, fedora, jeischma, jgrulich, jreznik, kdleyendeckerj, kevin, larsbj, ltinkl, mathstuf, mbriza, msuchy, rdieter, rnovacek, roddrix, smparrish, sven, than
Target Milestone: ---Keywords: FutureFeature, Patch, Reopened, Upstream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-21 09:57:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Rex Dieter 2010-06-23 09:05:23 EDT
krandr-related display Settings (Size & Refresh Rate) are lost after a
Logout.

upstream bug,
https://bugs.kde.org/show_bug.cgi?id=183143
contains an experiemental/contributed patch I'd like to try out.
Comment 1 Rex Dieter 2010-06-23 10:23:39 EDT
Here's some builds to test out:

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2268149

F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2268158
Comment 2 Rex Dieter 2010-06-23 11:39:52 EDT
Rats, testing the F-13 build doesn't seem to work for me.
Comment 3 Sven Lankes 2010-06-23 11:48:07 EDT
I've tried the rawhide build and it doesn't work for me either.
Comment 4 Fedora Update System 2010-10-18 10:41:48 EDT
kdebase-workspace-4.5.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kdebase-workspace-4.5.2-3.fc14
Comment 5 Fedora Update System 2010-10-18 16:54:03 EDT
kdebase-workspace-4.5.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kdebase-workspace-4.5.2-3.fc14
Comment 6 Fedora Update System 2010-10-28 02:01:24 EDT
kdebase-workspace-4.5.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Rex Dieter 2010-10-29 10:22:39 EDT
*** Bug 622891 has been marked as a duplicate of this bug. ***
Comment 8 Erik van Pienbroek 2010-11-18 10:49:05 EST
This bug still occurs with kdebase-workspace-4.5.2-3.fc14.x86_64 on my Dell Latitude E6500 with an Intel video card. This notebook is situated in a docking station with 2 DVI monitors attached. Every time kdm starts both DVI monitors show the same picture (clone mode). When I log into KDE I always have to reconfigure the monitor layout.

The file ~/.kde/share/config/kcmrandrrc has this content:
[Display]
ApplyOnStartup=true
StartupCommands=xrandr --output "HDMI1" --pos 0x0 --mode 1280x1024 --refresh 60.0197\nxrandr --output "HDMI2" --pos 0x0 --mode 1280x1024 --refresh 60.0197

[Screen_0]
OutputsUnified=false
UnifiedRect=0,0,0,0
UnifiedRotation=1

[Screen_0_Output_HDMI1]
Active=true
Rect=0,0,1280,1024
RefreshRate=60.0197410583496
Rotation=1

[Screen_0_Output_HDMI2]
Active=true
Rect=1280,0,1280,1024
RefreshRate=60.0197410583496
Rotation=1

[Screen_0_Output_LVDS1]
Active=false


The xrandr command mentioned in this file looks suspicious to me as it uses "--pos 0x0" two times. I want the second monitor to be at pos 1280x0 (as is mentioned in the Screen_0_Output_HDMI2 section.
Comment 9 Kevin Kofler 2013-02-11 16:25:52 EST
I'm going to reopen this one, based on comment #8 and on the fact that the upstream bug is also in reopened state. It looks like this longstanding issue is still open. :-(

Retargeting to F18 because Rawhide has kscreen.
Comment 10 Kevin Kofler 2013-02-11 16:28:21 EST
*** Bug 699024 has been marked as a duplicate of this bug. ***
Comment 11 Miroslav Suchý 2013-02-12 04:45:55 EST
I can confirm, that this still happen on F18.
Comment 12 A. Rodriguez 2013-02-12 10:25:27 EST
Can also confirm that this is happening on f18
Comment 13 Kevin Kofler 2013-02-21 18:01:53 EST
*** Bug 913712 has been marked as a duplicate of this bug. ***
Comment 14 Kevin Kofler 2013-02-25 20:10:53 EST
*** Bug 915522 has been marked as a duplicate of this bug. ***
Comment 15 Kevin Kofler 2013-04-16 16:58:49 EDT
*** Bug 952820 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2013-12-21 09:53:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Rex Dieter 2013-12-21 09:57:42 EST
krandr is known to have serious defects, and it's functionality was replaced by kscreen upstream.  I'd recommend you try kscreen instead.